Bug 75518 - tripwire segfaults when updating database
tripwire segfaults when updating database
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: tripwire (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-09 10:14 EDT by c^
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-09 10:14:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description c^ 2002-10-09 10:14:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
when regenerating/checking tripwire database the application will segfault when 
it gets to a directory tree with UID/GUID not on the system (displayed as 
integer not name).
Assigning UID/GUID resolves problem

Version-Release number of selected component (if applicable):
tripwire-2.3.1-10

How reproducible:
Always

Steps to Reproduce:
1.untar files from another system tar'd from a non existing UID/GUID
2.regenerate tripwire db
3.wait for segfault
	

Actual Results:  segfault

Expected Results:  Error handling with human readable output

Additional info:

In the specific scenario i was working in the directory had been untar'd 
into /root
tripwire failed from the day the tarball was extracted....
Comment 1 Jeff Johnson 2002-11-16 16:15:59 EST
This sequence WORKSFORME with tripwire-2.3.1-15:

(/root/.gnome_private originally missing)
	cd /root
	touch .gnome_private
	chown 12345.12345 .gnome_private

Reopen with more info, please, if the above does not
reproduce your problem.

Note You need to log in before you can comment on or make changes to this bug.